From: Tony Balinski <ajbj@free.fr>
Subject: Increase the size of a literal search string to 8191

Also switch order of compares for upper and lower case

2006-08-14

Modified to take into account new "official" buffer size of 5119
in CVS head.

---

 source/nedit.h  |    2 +-
 source/search.c |    8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

diff --quilt old/source/nedit.h new/source/nedit.h
--- old/source/nedit.h
+++ new/source/nedit.h
@@ -60,7 +60,7 @@
 #define NEDIT_DEFAULT_WRAPMARGIN_FG "black"
 
 /* Tuning parameters */
-#define SEARCHMAX 5119          /* Maximum length of search/replace strings */
+#define SEARCHMAX 8191          /* Maximum length of search/replace strings */
 #define MAX_SEARCH_HISTORY 100	/* Maximum length of search string history */
 #define MAX_PANES 6		/* Max # of ADDITIONAL text editing panes
 				   that can be added to a window */
diff --quilt old/source/search.c new/source/search.c
--- old/source/search.c
+++ new/source/search.c
@@ -4252,12 +4252,12 @@ static int searchLiteralWord(const char 
 /* routine and repeat it, changing the parameters of the outer loop for the */
 /* searching, forwards, backwards, and before and after the begin point	    */
 #define DOSEARCHWORD() \
-    if (*filePtr == *ucString || *filePtr == *lcString) { \
+    if (*filePtr == *lcString || *filePtr == *ucString) { \
 	/* matched first character */ \
 	ucPtr = ucString; \
 	lcPtr = lcString; \
 	tempPtr = filePtr; \
-	while (*tempPtr == *ucPtr || *tempPtr == *lcPtr) { \
+	while (*tempPtr == *lcPtr || *tempPtr == *ucPtr) { \
 	    tempPtr++; ucPtr++; lcPtr++; \
 	    if (   *ucPtr == 0 /* matched whole string */ \
 		&& (cignore_R ||\
@@ -4351,12 +4351,12 @@ static int searchLiteral(const char *str
 /* routine and repeat it, changing the parameters of the outer loop for the */
 /* searching, forwards, backwards, and before and after the begin point	    */
 #define DOSEARCH() \
-    if (*filePtr == *ucString || *filePtr == *lcString) { \
+    if (*filePtr == *lcString || *filePtr == *ucString) { \
 	/* matched first character */ \
 	ucPtr = ucString; \
 	lcPtr = lcString; \
 	tempPtr = filePtr; \
-	while (*tempPtr == *ucPtr || *tempPtr == *lcPtr) { \
+	while (*tempPtr == *lcPtr || *tempPtr == *ucPtr) { \
 	    tempPtr++; ucPtr++; lcPtr++; \
 	    if (*ucPtr == 0) { \
 		/* matched whole string */ \
